use strict;
use warnings;
use lib '/home/dan/sgf/thumbnailer';
use sgfThumbnailer;

# eg perl makepicture.pl game.sgf picture.png

my $writer = new sgfThumbnailer('Image::Magick');
if (@ARGV) {
  $writer->scale($ARGV[0] eq '-s' ? $ARGV[1] : undef);
  $writer->font('/usr/share/fonts/truetype/emoji/EmojiOneColor-SVGinOT.ttf', 'emoji', {black => 0x1f41d, white => 0x1f41d, imfactor => 18, xnudge => 1, ynudge => -3});
#  $writer->block('/usr/share/fonts/truetype/msttcorefonts/Arial.ttf', {character => 0x25a0, factor => 44, xnudge => -3, ynudge => 0});
  $writer->block('/usr/share/fonts/truetype/msttcorefonts/Arial.ttf'); # font is unused when charater is not defined, but still needs some file that exists to be mentioned
  $writer->colours({wunder => 'fff200', bunder => 'af6503', tsumego => 'ffffff', tsumegooff => 'ffffff'});
  $writer->makeimage(splice @ARGV, -2, 2);
} else {
  print "Usage : perl makepicture.pl game.sgf picture.png\n";
  print "or \nperl makepicture -s integer game.sgf picture.png\n";
  print "where integer is the pixel height of the image produced (or width, whichever's the biggest)\n";
}

